| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Pages
Public Member Functions | Private Attributes | List of all members
RedDirectory Class Reference
Inheritance diagram for RedDirectory:

## Public Member Functions
| __construct ($red_path, $auth_plugin)
| getChildren ()
| getChild ($name)
| createFile ($name, $data=null)
| createDirectory ($name)
| childExists ($name)

## Private Attributes
| $red_path
| $dir_key
| $auth
| $channel_id

## Constructor & Destructor Documentation

RedDirectory::__construct | ( |  | $red_path,
|  |  | $auth_plugin
| ) |  |

## Member Function Documentation

RedDirectory::childExists | ( |  | $name | ) |

RedDirectory::createDirectory | ( |  | $name | ) |

RedDirectory::createFile | ( |  | $name,
|  |  | $data = `null`
| ) |  |

RedDirectory::getChild | ( |  | $name | ) |

RedDirectory::getChildren | ( |  | ) |

## Member Data Documentation

RedDirectory::$auth
| private

RedDirectory::$channel_id
| private

RedDirectory::$dir_key
| private

RedDirectory::$red_path
| private

Referenced by __construct().

The documentation for this class was generated from the following file:

- include/reddav.php